Update BoxSchema
Update BoxSchema.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
box_schema_id
ID of the BoxSchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
archiveReason
archived
containerSchemaId
The API ID of the container schema constraining what types of containers can be stored in boxes of this type.
description
Updated description. When provided, must be at most 1000 characters.
height
The number of rows in the grid layout.
name
Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.
prefix
The prefix used for auto-generating barcodes for inventory items of this schema. Must be unique within the registry and cannot end in a digit.
systemName
Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization.
width
The number of columns in the grid layout.
displayNameDeprecated
Deprecated. Use name instead.
Response
OK
__typename
archiveReason
archived
containerSchema
createdAt
description
A description of the schema.
fieldDefinitions
height
id
modifiedAt
name
prefix
registry
systemName
A unique, stable identifier for this schema used for programmatic access and integrations.
type
width
Errors
400
Box Schema Update Request Bad Request Error
403
Box Schema Update Request Forbidden Error
404
Box Schema Update Request Not Found Error
409
Box Schema Update Request Conflict Error
429
Box Schema Update Request Too Many Requests Error
500
Box Schema Update Request Internal Server Error